// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}

// main
var srDest;
var err;
var pluginsFolder;

srDest = 449;
err    = initInstall("HP Printer Identifier Plugin", "Plugins/HP/Printer", "6.0.N6.2000092909"); 
logComment("initInstall: " + err);

pluginsFolder = getFolder("Plugins");
logComment("pluginsFolder: " + pluginsFolder);

if(verifyDiskSpace(pluginsFolder, srDest))
{
  setPackageFolder(pluginsFolder);
  err = addDirectory("",
                     "6.0.N6.2000092909",
                     "Plugins",          // dir name in jar to extract 
                     pluginsFolder,      // Where to put this file (Returned from getFolder) 
                     "",                 // subdir name to create relative to pluginsFolder
                     true);              // Force Flag 
  logComment("addDirectory() returned: " + err);

  // check return value
  if(!err)
  {
    err = performInstall(); 
    logComment("performInstall() returned: " + err);
  }
  else
    cancelInstall(err);
}
else
  cancelInstall(INSUFFICIENT_DISK_SPACE);

// end main
